unit rebook;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, RpRave, RpDefine, RpCon, RpConDS, StdCtrls, DB,
  ADODB;

type
  Tfrm_rebook = class(TForm)
    DBGrid1: TDBGrid;
    RvDataSetConnection1: TRvDataSetConnection;
    RvProject1: TRvProject;
    ADOQuery1: TADOQuery;
    DataSource1: TDataSource;
    Button1: TButton;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frm_rebook: Tfrm_rebook;

implementation

uses admin;

{$R *.dfm}

procedure Tfrm_rebook.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  frmadmin.Visible:=true;
  ADOQuery1.Close;
end;

procedure Tfrm_rebook.Button1Click(Sender: TObject);
begin
  RvProject1.Execute;
end;

procedure Tfrm_rebook.FormShow(Sender: TObject);
begin
   with  ADOQuery1 do
   begin
     Open;
   end;
end;

end.
